# Human
declaration: class: Human

# Class Human

java.lang.Object
Player
Human

public class Human extends Player

## Field Summary

### Fields inherited from class Player

`color`

## Constructor Summary

Constructors
Constructor
Description
`Human()`

## Method Summary

Modifier and Type
Method
Description
`GomokuCell`
`chooseMove(GomokuBoard board)`
Return the coordinate of the move played by the player.

### Methods inherited from class Player

`getColor, getName, Player`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Human

public Human()

## Method Details

### chooseMove

public GomokuCell chooseMove(GomokuBoard board)
Return the coordinate of the move played by the player.

Specified by:
  `chooseMove` in class `Player`
Parameters:
  `board` - The actual Gomoku board.
Returns:
  The cell of the move played.